Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting
Class ServerInterceptorChain

    java.lang.Object
      org.jboss.remoting.ServerInterceptorChain

All Implemented Interfaces:
  javax.management.MBeanRegistration, ServerInvocationHandler

public class ServerInterceptorChain
extends Object
implements javax.management.MBeanRegistration, ServerInvocationHandler

ServerInterceptorChain.java Created: Fri May 2 10:36:51 2003

Version:
  1.0
Author:
  David Jencks

Nested Class Summary
`static class` | `ServerInterceptorChain.InterceptorIterator`

Constructor Summary
`ServerInterceptorChain()`

Method Summary
`void` | `addListener(InvokerCallbackHandler invokerCallbackHandler)` The `addListener` method
`Connector` | `getConnector()` Get the Connector value.
`javax.management.ObjectName` | `getConnectorName()` Get the ConnectorName value.
`List` | `getInterceptorNames()` Get the InterceptorName value.
`List` | `getInterceptors()` Get the Interceptors value.
`String` | `getSubsystem()` Get the Subsystem value.
`Object` | `invoke(InvocationRequest invocation)` The `invoke` method
`void` | `postDeregister()` The `postDeregister` method
`void` | `postRegister(Boolean success)` The `postRegister` method
`void` | `preDeregister()` The `preDeregister` method
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName objectName)` The `preRegister` method
`void` | `removeListener(InvokerCallbackHandler invokerCallbackHandler)` The `removeListener` method
`void` | `setConnector(Connector newConnector)` Set the Connector value.
`void` | `setConnectorName(javax.management.ObjectName newConnectorName)` Set the ConnectorName value.
`void` | `setInterceptorNames(List newInterceptorNames)` Set the InterceptorName value.
`void` | `setInterceptors(List newInterceptors)` Set the Interceptors value.
`void` | `setInvoker(ServerInvoker serverInvoker)` The `setInvoker` method
`void` | `setMBeanServer(javax.management.MBeanServer MBeanServer)` The `setMBeanServer` method
`void` | `setSubsystem(String newSubsystem)` Set the Subsystem value.
`void` | `start()` The `start` method
`void` | `stop()` The `stop` method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerInterceptorChain

    public ServerInterceptorChain()

Method Detail

### getConnector

    public Connector getConnector()

  Get the Connector value.

  Returns:
    the Connector value. not managed

### setConnector

    public void setConnector(Connector newConnector)

  Set the Connector value.

  Parameters:
    `newConnector` - The new Connector value. not managed

### getConnectorName

    public javax.management.ObjectName getConnectorName()

  Get the ConnectorName value.

  Returns:
    the ConnectorName value.

### setConnectorName

    public void setConnectorName(javax.management.ObjectName newConnectorName)

  Set the ConnectorName value.

  Parameters:
    `newConnectorName` - The new ConnectorName value.

### getSubsystem

    public String getSubsystem()

  Get the Subsystem value.

  Returns:
    the Subsystem value.

### setSubsystem

    public void setSubsystem(String newSubsystem)

  Set the Subsystem value.

  Parameters:
    `newSubsystem` - The new Subsystem value.

### getInterceptors

    public List getInterceptors()

  Get the Interceptors value.

  Returns:
    the Interceptors value. not managed

### setInterceptors

    public void setInterceptors(List newInterceptors)

  Set the Interceptors value.

  Parameters:
    `newInterceptors` - The new Interceptors value. not managed

### getInterceptorNames

    public List getInterceptorNames()

  Get the InterceptorName value.

  Returns:
    the InterceptorName value.

### setInterceptorNames

    public void setInterceptorNames(List newInterceptorNames)

  Set the InterceptorName value.

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName objectName)
                                            throws Exception

  The `preRegister` method

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`
  Parameters:
    `objectName` - an `ObjectName` value
  Returns:
    an `ObjectName` value
  Throws:
    `Exception` - if an error occurs

### postRegister

    public void postRegister(Boolean success)

  The `postRegister` method

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws Exception

  The `preDeregister` method

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`
  Throws:
    `Exception` - if an error occurs

### postDeregister

    public void postDeregister()

  The `postDeregister` method

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`

### start

    public void start()
               throws Exception

  The `start` method

  Throws:
    `Exception` - if an error occurs

### stop

    public void stop()
              throws Exception

  The `stop` method

  Throws:
    `Exception` - if an error occurs

### addListener

    public void addListener(InvokerCallbackHandler invokerCallbackHandler)

  The `addListener` method

  Specified by:
    `addListener` in interface `ServerInvocationHandler`
  Parameters:
    `invokerCallbackHandler` - an `InvokerCallbackHandler` value

### removeListener

    public void removeListener(InvokerCallbackHandler invokerCallbackHandler)

  The `removeListener` method

  Specified by:
    `removeListener` in interface `ServerInvocationHandler`
  Parameters:
    `invokerCallbackHandler` - an `InvokerCallbackHandler` value

### setMBeanServer

    public void setMBeanServer(javax.management.MBeanServer MBeanServer)

  The `setMBeanServer` method

  Specified by:
    `setMBeanServer` in interface `ServerInvocationHandler`
  Parameters:
    `MBeanServer` - a `MBeanServer` value

### invoke

    public Object invoke(InvocationRequest invocation)
                  throws Throwable

  The `invoke` method

  Specified by:
    `invoke` in interface `ServerInvocationHandler`
  Parameters:
    `invocation` -
  Returns:
    an `Object` value
  Throws:
    `Throwable` - if an error occurs

### setInvoker

    public void setInvoker(ServerInvoker serverInvoker)

  The `setInvoker` method

  Specified by:
    `setInvoker` in interface `ServerInvocationHandler`
  Parameters:
    `serverInvoker` - a `ServerInvoker` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.